Subject: devel-digest V2 #209
From: [email-masked] (devel-digest)
To: [email-masked]

devel-digest          Tuesday, June 29 1999          Volume 02 : Number 209

In this issue:

    Re: The Much-Awaited DM3.0 Build 15
    Re: The Much-Awaited DM3.0 Build 15
    Re: building KDE 1.1.1 - problems finding library during kdebase configure
    Re: building KDE 1.1.1 - problems finding library during kdebase  configure
    Re: building KDE 1.1.1 - problems finding library during kdebase  configure
    Re: building KDE 1.1.1 - problems finding library during kdebase configure
    Re: building KDE 1.1.1 - problems finding library during kdebase configure
    Re: building KDE 1.1.1 - problems finding library during kdebase  configure

See the end of this digest for information about devel-digest.

----------------------------------------------------------------------

Date: Mon, 28 Jun 1999 09:24:36 -0400
From: Ralph Siemsen <[email-masked]>
Subject: Re: The Much-Awaited DM3.0 Build 15

Matthew Keller wrote:
> 
>         I took a quick look at built 14, and noticed that it was still based on
> the 2.0.35 kernel: Is the build 15 going to be based on this as well? Or
> 2.2.x?

The image will be suitable for both kernels.  It's currently being built
against 2.0.35 but runs nicely with 2.2 as well (several of us have been
testing it that way).  Ultimately we hope to built it against 2.2, but
there is that "much anticipated" factor - we'd like to get this thing
out the door as soon as possible.  The main stumbling block is still X,
which has been traced down to a compiler bug that's being looked at.

- -- 
Ralph Siemsen -- [email-masked]

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Mon, 28 Jun 1999 12:41:45 -0400
From: "Andrew E. Mileski" <[email-masked]>
Subject: Re: The Much-Awaited DM3.0 Build 15

Matthew Keller wrote:
>         I took a quick look at built 14, and noticed that it was still based on
> the 2.0.35 kernel: Is the build 15 going to be based on this as well? Or
> 2.2.x?

As soon as I consider 2.2.* reliable, I'll switch to it.

Right now the image works with either 2.0.* or 2.2.*

- --
Andrew E. Mileski - Software Engineer
Rebel.com  http://www.rebel.com/

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Mon, 28 Jun 1999 10:51:32 -0700
From: Tim Rowledge <[email-masked]>
Subject: Re: building KDE 1.1.1 - problems finding library during kdebase configure

Please, does anyone have any ideas on this?

I've also tried commenting out all the PATH/LD_LIBRARY_PATH stuff that the
qtlib install suggests just in case it is interfereing, and even tried
compiling it on the other NW. That fails even earlier in the configure!

This is starting to make life with windoze look good.

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Mon, 28 Jun 1999 14:12:12 -0400
From: Ralph Siemsen <[email-masked]>
Subject: Re: building KDE 1.1.1 - problems finding library during kdebase  configure

Tim Rowledge wrote:

> This is starting to make life with windoze look good.

Oh... the sounds of desperation setting in.  Hang in there Tim!

Scott has encountered the same problem... he is looking at the compiler
to try and figure out what the cause is... it worked in a previous
version, as I was able to build qt without any troubles.  Standy by :)

- -- 
Ralph Siemsen -- [email-masked]

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Mon, 28 Jun 1999 14:16:27 -0400
From: Ralph Siemsen <[email-masked]>
Subject: Re: building KDE 1.1.1 - problems finding library during kdebase  configure

Tim Rowledge wrote:

> Then I set CFLAGS='-fno-exceptions -fno-rtti -fomit-frame-pointer' and started
> in on the kdesupport dir. No problems there. No apparent  problems with the
> kdelibs dir either, or at least nothingthat looks funny in the config.log.

You might need to tell configure where the qt/kde stuff is installed
(/usr/local/qt) etc.  Try configure --help and look for that option. 
Dont' forget to install kdelibs before you build the rest.

- -- 
Ralph Siemsen -- [email-masked]

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Mon, 28 Jun 1999 14:35:52 -0400
From: Scott Bambrough <[email-masked]>
Subject: Re: building KDE 1.1.1 - problems finding library during kdebase configure

This is a multi-part message in MIME format.
- --------------D1FF91CC9A06BF0C4A92E301
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Tim Rowledge wrote:
> 
> configure:3480: checking if Qt compiles without flags
> configure:3523: g++ -o conftest -O2 -Wall -I/usr/local/qt/include  -L/usr/X11R6/lib conftest.C  -lXext -lX11 -l/usr/local/qt/lib/libqt.so  1>&5
> ld: cannot open -l/usr/local/qt/lib/libqt.so: No such file or directory
> but
> l>s /usr/local/qt/lib says:
> libqt.a        libqt.so       libqt.so.1     libqt.so.1.44
> 

Try changing -l/usr/local/qt/lib/libqt.so to.  Get rid of the -l.  This should
attempt to add lib in front of what you type after, and add and extension; in
the event it cannot find it it will probably attempt to interpret it as a
complete library name.  You could also try pointing to the lib directory using
- -L/usr/local/qt/lib instead.

If this doesn't work, post the results of 'ld -v' and 'g++ -v' so we can tell
what versions of the tools you are using.  Finally try compiling with the -v
flag.  It should spit out more detailed information then.

Scott
- --------------D1FF91CC9A06BF0C4A92E301
Content-Type: text/x-vcard; charset=us-ascii; name="vcard.vcf"
Content-Transfer-Encoding: 7bit
Content-Description: Card for Scott Bambrough
Content-Disposition: attachment; filename="vcard.vcf"

begin:          vcard
fn:             Scott Bambrough
n:              Bambrough;Scott
org:            Rebel.com
adr:            150 Isabella St.;;;Ottawa;Ontario;K1S 1V7;Canada
email;internet: [email-masked]
title:          Software Engineer
tel;work:       (613) 788-6000 x6116
tel;fax:        (613) 230-8300
x-mozilla-cpt:  ;0
x-mozilla-html: FALSE
version:        2.1
end:            vcard

- --------------D1FF91CC9A06BF0C4A92E301--

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Mon, 28 Jun 1999 12:21:06 -0700
From: Tim Rowledge <[email-masked]>
Subject: Re: building KDE 1.1.1 - problems finding library during kdebase configure

OK, som successes following Scott's advice:-

Scott Bambrough <[email-masked]> wrote:
>
>Try changing -l/usr/local/qt/lib/libqt.so to.  
Not sure what you wanted me to change it to (typo!) but to make sure I got
right back to original code I re-untarred the kdebase directory. This makes
the config.log line now read:-
 configure:3523: g++ -o conftest -O2 -Wall -I/usr/local/qt/include 
- -L/usr/X11R6/lib conftest.C -lqt -lXext -lX11  1>&5
ld: cannot open -lqt: No such file or directory

So,
> Get rid of the -l.  This should
>attempt to add lib in front of what you type after, and add and extension; in
>the event it cannot find it it will probably attempt to interpret it as a
>complete library name.  You could also try pointing to the lib directory using
>-L/usr/local/qt/lib instead.
Adding -L/usr/local/qt/lib seems to make it work when compiling the test prog.
using -v as well makes it obvious that  ther are a huge list of libraries
included automagically, which surprised me. Following this, I re-instated te
LD_LIBRARY_PATH stuff in my profile; the stuff I removed to see if it made any
difference. That made it possible to compile the test prog without the -L
above added.
Yippee! thinks I, lets try ./configure again! Of course, it didn't work
because the configure script carefully nulls out the LD_LIBRARY_PATH !!!! Which
leads me to the answer to this first part of the problem: - it is
_deliberately_  looking to see if the qtlibs are available without the path
being added. Sigh, I got diverted from the real problem when I noticed that
'missing library' line in the config.log. Bummer.

So, moving right along to the actual problem, which is the failure ofthe test
for  the installation of the kde libraries, line 4117 of the configure script.
This fails with a whole bundle of undefined references in the kdecore.so
library - which is what made me start looking for missing libraries in the
first place. For example:-
/usr/local/kde/lib/libkdecore.so: undefined reference to `QWidget type_info node'
/usr/local/kde/lib/libkdecore.so: undefined reference to `QDialog type_info node'
/usr/local/kde/lib/libkdecore.so: undefined reference to `QBuffer type_info node'
/usr/local/kde/lib/libkdecore.so: undefined reference to `QWidget type_info function'
...which I guess must be expected in some qt library?

So it looks like this might be more of a problem finding the library with the
right stuff than simply of finding the library at all.  

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Mon, 28 Jun 1999 21:24:45 -0400
From: Ralph Siemsen <[email-masked]>
Subject: Re: building KDE 1.1.1 - problems finding library during kdebase  configure

Tim Rowledge wrote:

> Adding -L/usr/local/qt/lib seems to make it work when compiling the test prog.

Therefore you have qt installed in /usr/local/qt.  However this is not a
"standard" place as far as the configure script is concerned, and it
will not normally go looking there unless you tell it to do so.  The way
to do this varies, but if memory serves correctly, the kde packages all
have an option called --with-qt-dir that you can set.  To be sure, run
"./configure --help" and have a look at the output, in particular the
last section (the first options are common ones).  Most likely what you
need to do is:

	./configure --with-qt-dir=/usr/local/qt

I think this will solve the problem.  I also recall at one point there
was some "magic" to try and guess where qt was installed.  There was a
configure option to turn off this "magic" since it guessed wrong
sometimes.  You might take a look for this too (in the configure --help
output).

BTW, PatB has recent kde binaries in his home dir, if you are looking
for the easy way out.

- -Ralph.

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

End of devel-digest V2 #209
***************************

--
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel-digest" as the body of your message.